Subject: Re: Fixed making DLL, but can't get rid of @n weirdness
From: "Dmitry Timoshkov" <[email-masked]>
To: "Christopher Hicks" <[email-masked]>
Cc: <[email-masked]>
Date: Sun, 22 Jul 2001 13:27:06 +0800

"Christopher Hicks" <[email-masked]> wrote:

> I found much better documentation at
> http://www.neuro.gatech.edu/users/cwilson/cygutils/V1.1/dll-stuff/index.html
> so I've finally been able to create a DLL!
>
> But regardless of what options I've tried to provide to dlltool and
> dllwrap it's still adding @/n/ to the symbols.

[skipped]

I'm using the following command lines to build DLLs under Cygwin:

dllwrap -o $(LIBRARY).dll $(OBJS) $(LIBS) -k --def $(LIBRARY).def -Wl,--kill-at,--enable-stdcall-fixup
dlltool --kill-at --input-def $(LIBRARY).def --output-lib lib$(LIBRARY).a

Notes:
1. You have to have decorated (with @) exported names in the .def file.
2. Apply the attached patch to dlltool.c from the binutils provided by Cygwin
and rebuild dlltool.

Good luck.
--
Dmitry.
--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/